SDL_dinputhaptic_c.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_haptic.h"`
`#include "SDL_windowshaptic_c.h"`
Include dependency graph for SDL_dinputhaptic_c.h:

Go to the source code of this file.

## Functions

int | SDL_DINPUT_HapticInit (void)
int | SDL_DINPUT_MaybeAddDevice (const DIDEVICEINSTANCE *pdidInstance)
int | SDL_DINPUT_MaybeRemoveDevice (const DIDEVICEINSTANCE *pdidInstance)
int | SDL_DINPUT_HapticOpen (SDL_Haptic *haptic, SDL_hapticlist_item *item)
int | SDL_DINPUT_JoystickSameHaptic (SDL_Haptic *haptic, SDL_Joystick *joystick)
int | SDL_DINPUT_HapticOpenFromJoystick (SDL_Haptic *haptic, SDL_Joystick *joystick)
void | SDL_DINPUT_HapticClose (SDL_Haptic *haptic)
void | SDL_DINPUT_HapticQuit (void)
int | SDL_DINPUT_HapticNewEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *base)
int | SDL_DINPUT_HapticUpdateEffect (SDL_Haptic *haptic, struct haptic_effect *effect, SDL_HapticEffect *data)
int | SDL_DINPUT_HapticRunEffect (SDL_Haptic *haptic, struct haptic_effect *effect, Uint32 iterations)
int | SDL_DINPUT_HapticStopEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
void | SDL_DINPUT_HapticDestroyEffect (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_DINPUT_HapticGetEffectStatus (SDL_Haptic *haptic, struct haptic_effect *effect)
int | SDL_DINPUT_HapticSetGain (SDL_Haptic *haptic, int gain)
int | SDL_DINPUT_HapticSetAutocenter (SDL_Haptic *haptic, int autocenter)
int | SDL_DINPUT_HapticPause (SDL_Haptic *haptic)
int | SDL_DINPUT_HapticUnpause (SDL_Haptic *haptic)
int | SDL_DINPUT_HapticStopAll (SDL_Haptic *haptic)

## Function Documentation

## SDL_DINPUT_HapticClose()

void SDL_DINPUT_HapticClose | ( | SDL_Haptic * | haptic | ) |

Definition at line 1229 of file SDL_dinputhaptic.c.

{
}

## SDL_DINPUT_HapticDestroyEffect()

void SDL_DINPUT_HapticDestroyEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 1263 of file SDL_dinputhaptic.c.

{
}

## SDL_DINPUT_HapticGetEffectStatus()

int SDL_DINPUT_HapticGetEffectStatus | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 1268 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticInit()

int SDL_DINPUT_HapticInit | ( | void |  | ) |

Definition at line 1193 of file SDL_dinputhaptic.c.

{
return 0;
}

## SDL_DINPUT_HapticNewEffect()

int SDL_DINPUT_HapticNewEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | base
| ) |  |

Definition at line 1239 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticOpen()

int SDL_DINPUT_HapticOpen | ( | SDL_Haptic * | haptic,
|  | SDL_hapticlist_item * | item
| ) |  |

Definition at line 1211 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticOpenFromJoystick()

int SDL_DINPUT_HapticOpenFromJoystick | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Definition at line 1223 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticPause()

int SDL_DINPUT_HapticPause | ( | SDL_Haptic * | haptic | ) |

Definition at line 1286 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticQuit()

void SDL_DINPUT_HapticQuit | ( | void |  | ) |

Definition at line 1234 of file SDL_dinputhaptic.c.

{
}

## SDL_DINPUT_HapticRunEffect()

int SDL_DINPUT_HapticRunEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | Uint32 | iterations
| ) |  |

Definition at line 1251 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticSetAutocenter()

int SDL_DINPUT_HapticSetAutocenter | ( | SDL_Haptic * | haptic,
|  | int | autocenter
| ) |  |

Definition at line 1280 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticSetGain()

int SDL_DINPUT_HapticSetGain | ( | SDL_Haptic * | haptic,
|  | int | gain
| ) |  |

Definition at line 1274 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticStopAll()

int SDL_DINPUT_HapticStopAll | ( | SDL_Haptic * | haptic | ) |

Definition at line 1298 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticStopEffect()

int SDL_DINPUT_HapticStopEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect
| ) |  |

Definition at line 1257 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticUnpause()

int SDL_DINPUT_HapticUnpause | ( | SDL_Haptic * | haptic | ) |

Definition at line 1292 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_HapticUpdateEffect()

int SDL_DINPUT_HapticUpdateEffect | ( | SDL_Haptic * | haptic,
|  | struct haptic_effect * | effect,
|  | SDL_HapticEffect * | data
| ) |  |

Definition at line 1245 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_JoystickSameHaptic()

int SDL_DINPUT_JoystickSameHaptic | ( | SDL_Haptic * | haptic,
|  | SDL_Joystick * | joystick
| ) |  |

Definition at line 1217 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_MaybeAddDevice()

int SDL_DINPUT_MaybeAddDevice | ( | const DIDEVICEINSTANCE * | pdidInstance | ) |

Definition at line 1199 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

## SDL_DINPUT_MaybeRemoveDevice()

int SDL_DINPUT_MaybeRemoveDevice | ( | const DIDEVICEINSTANCE * | pdidInstance | ) |

Definition at line 1205 of file SDL_dinputhaptic.c.

{
return SDL_Unsupported();
}

References SDL_Unsupported.

SDL_Unsupported
#define SDL_Unsupported()
Definition: SDL_error.h:53